'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = injectAtRules;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function injectAtRules(properties, atName, rules) {
  if (atName === '@font-face') {
    var fonts = (0, _keys2.default)(rules).map(function (key) {
      return rules[key];
    });

    if (fonts.length > 0) {
      properties[atName] = fonts.length > 1 ? fonts : fonts[0];
    }
  } else {
    (0, _keys2.default)(rules).forEach(function (key) {
      properties[atName + ' ' + key] = rules[key];
    });
  }
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */