'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = injectFallbacks;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function injectFallbacks(properties, fallbacks) {
  (0, _keys2.default)(fallbacks).forEach(function (propName) {
    var prop = properties[propName];
    var fallback = fallbacks[propName];

    if (typeof prop === 'undefined') {
      return;
    }

    properties[propName] = [].concat(fallback, prop);
  });
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */