'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

exports.default = injectRuleByLookup;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function injectRuleByLookup(properties, propName, lookup) {
  var flatten = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;

  var value = properties[propName];

  if (typeof value !== 'string') {
    return;
  }

  value = value.split(',').map(function (name) {
    name = name.trim();
    var found = lookup[name];

    if (found && Array.isArray(found)) {
      var _found = found;

      var _found2 = (0, _slicedToArray3.default)(_found, 1);

      found = _found2[0];
    }

    return found || name;
  });

  if (flatten) {
    value = value.join(', ');
  } else if (value.length === 1) {
    var _value = value;

    var _value2 = (0, _slicedToArray3.default)(_value, 1);

    value = _value2[0];
  }

  properties[propName] = value;
} /**
   * @copyright   2017, Miles Johnson
   * @license     https://opensource.org/licenses/MIT
   * 
   */